/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.CCheckbox = void 0;

var _react = _interopRequireDefault(require("react"));

var _bind = _interopRequireDefault(require("classnames/bind"));

var _Common = _interopRequireDefault(require("./Common"));

var _Icon = _interopRequireDefault(require("./Icon"));

require("./css/CCheck.less");

var _common = require("./components/common");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var CCheckbox =
/*#__PURE__*/
function (_React$Component) {
  _inherits(CCheckbox, _React$Component);

  function CCheckbox(props) {
    var _this$props$checked, _this$props$half;

    var _this;

    _classCallCheck(this, CCheckbox);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(CCheckbox).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "domId", void 0);

    _defineProperty(_assertThisInitialized(_this), "icon", void 0);

    _defineProperty(_assertThisInitialized(_this), "setValue", _this.setChecked);

    _defineProperty(_assertThisInitialized(_this), "changeHandler", function (e) {
      if (_this.props.disabled) return;
      var chk = !_this.state.checked;

      _this.setState({
        checked: chk,
        half: false
      });

      if (typeof _this.props.onChange === 'function') {
        _this.props.onChange(chk, e);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "keyUpHandler", function (e) {
      if (_this.props.disabled) return;
      if (e.key !== 'Enter' && e.key !== ' ') return;
      var chk = !_this.state.checked;

      _this.setState({
        checked: chk,
        half: false
      });

      if (typeof _this.props.onChange === 'function') {
        _this.props.onChange(chk, e);
      }
    });

    _this.domId = 'ccheck-' + _Common["default"].RandomString(16);

    if (_this.props.id) {
      _this.domId = _this.props.id;
    }

    _this.state = {
      checked: (_this$props$checked = _this.props.checked) !== null && _this$props$checked !== void 0 ? _this$props$checked : false,
      half: (_this$props$half = _this.props.half) !== null && _this$props$half !== void 0 ? _this$props$half : false
    };
    return _this;
  }

  _createClass(CCheckbox, [{
    key: "UNSAFE_componentWillReceiveProps",
    value: function UNSAFE_componentWillReceiveProps(nextProp) {
      var _nextProp$checked, _nextProp$half;

      this.setState({
        checked: (_nextProp$checked = nextProp.checked) !== null && _nextProp$checked !== void 0 ? _nextProp$checked : false,
        half: (_nextProp$half = nextProp.half) !== null && _nextProp$half !== void 0 ? _nextProp$half : false
      });
    }
  }, {
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(nextProps, nextState) {
      if (nextProps.disabled !== this.props.disabled) {
        return true;
      }

      if (nextProps.label !== this.props.label) {
        return true;
      }

      if (nextState.half !== this.state.half) {
        return true;
      }

      return nextState.checked !== this.state.checked;
    }
  }, {
    key: "getClasses",
    value: function getClasses() {
      var base = 'ck-check';

      if (this.props.inline) {
        base = (0, _bind["default"])(base, 'ck-check-inline');
      }

      if (this.props.disabled) {
        base = (0, _bind["default"])(base, 'ck-check-disabled');
      }

      if (this.props.absolute) {
        base = (0, _bind["default"])(base, 'position-absolute');
      } //apply theme


      if (this.props.theme !== undefined) {
        var _this$props$theme;

        var themeStr = typeof this.props.theme === 'string' ? this.props.theme : _common.Theme[(_this$props$theme = this.props.theme) !== null && _this$props$theme !== void 0 ? _this$props$theme : 0];
        base = (0, _bind["default"])(base, 'text-' + themeStr);
      }

      return (0, _bind["default"])(base, this.props.className);
    }
  }, {
    key: "getStyles",
    value: function getStyles() {
      var base = {};

      if (this.props.absolute) {
        var _this$props$y, _this$props$x;

        base.top = (_this$props$y = this.props.y) !== null && _this$props$y !== void 0 ? _this$props$y : '';
        base.left = (_this$props$x = this.props.x) !== null && _this$props$x !== void 0 ? _this$props$x : '';
      }

      return base;
    }
  }, {
    key: "setChecked",
    value: function setChecked(checked) {
      this.setState({
        checked: checked,
        half: false
      });
    }
  }, {
    key: "setHalf",
    value: function setHalf(flag) {
      this.setState({
        half: flag
      });
    }
  }, {
    key: "getChecked",
    value: function getChecked() {
      return this.state.checked;
    }
  }, {
    key: "getCheckedIcon",
    value: function getCheckedIcon(t) {
      if (this.state.half) {
        if (t === 'icon') {
          return 'minus-square';
        }

        if (t === 'type') {
          return 'solid';
        }
      }

      if (t === 'icon') {
        return this.state.checked ? 'check-square' : 'square';
      }

      if (t === 'type') {
        return this.state.checked ? 'solid' : 'regular';
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var inProps = _objectSpread({}, this.props);

      delete inProps.absolute;
      delete inProps.inline;
      delete inProps.half;
      return _react["default"].createElement("div", _extends({}, inProps, {
        className: this.getClasses(),
        style: this.getStyles(),
        onKeyUp: this.keyUpHandler,
        onClick: this.changeHandler
      }), _react["default"].createElement(_Icon["default"], {
        className: "ck-check-icon",
        ref: function ref(c) {
          return _this2.icon = c;
        },
        icon: this.getCheckedIcon('icon'),
        iconType: this.getCheckedIcon('type')
      }), this.props.label === '' ? null : _react["default"].createElement("span", {
        className: "ck-check-label"
      }, this.props.label));
    }
  }]);

  return CCheckbox;
}(_react["default"].Component);

exports.CCheckbox = CCheckbox;

_defineProperty(CCheckbox, "defaultProps", {
  label: '',
  checked: false,
  disabled: false,
  inline: false,
  half: false,
  tabIndex: '0'
});

var _default = CCheckbox;
exports["default"] = _default;
//# sourceMappingURL=CCheckbox.js.map
