/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.CDropdown = exports.CDropdownValue = void 0;

var _react = _interopRequireDefault(require("react"));

var _Input = _interopRequireDefault(require("./Input"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var CDropdownValue =
/*#__PURE__*/
function (_React$Component) {
  _inherits(CDropdownValue, _React$Component);

  function CDropdownValue() {
    _classCallCheck(this, CDropdownValue);

    return _possibleConstructorReturn(this, _getPrototypeOf(CDropdownValue).apply(this, arguments));
  }

  return CDropdownValue;
}(_react["default"].Component);

exports.CDropdownValue = CDropdownValue;

var CDropdown =
/*#__PURE__*/
function (_React$Component2) {
  _inherits(CDropdown, _React$Component2);

  function CDropdown(props) {
    var _this;

    _classCallCheck(this, CDropdown);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(CDropdown).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "main", void 0);

    _defineProperty(_assertThisInitialized(_this), "listData", void 0);

    _this.listData = _this.props.data;
    _this.state = {
      data: _this.props.data
    };
    return _this;
  }

  _createClass(CDropdown, [{
    key: "check",
    value: function check() {
      return this.main.check();
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this,
          _active;

      var active;

      if (_react["default"].Children.count(this.props.children)) {
        var list = [];

        _react["default"].Children.forEach(this.props.children, function (item) {
          if (item.type === CDropdownValue) {
            list.push({
              text: item.props.text,
              value: item.props.value
            });

            if (item.props.active) {
              active = item.props.text;
            }
          }
        });

        this.listData = list;
      }

      return _react["default"].createElement(_Input["default"], {
        ref: function ref(c) {
          return _this2.main = c;
        },
        className: this.props.className,
        width: this.props.width,
        combo: {
          searchColumn: 'text',
          noSearch: true,
          width: this.props.dropWidth,
          filterColumns: ['text'],
          showRows: this.props.showRows
        },
        comboData: this.listData,
        label: this.props.label,
        readOnly: true,
        onChange: this.props.onChange,
        placeholder: this.props.text,
        data: (_active = active) !== null && _active !== void 0 ? _active : this.props.data,
        size: this.props.size,
        validate: this.props.validate,
        disabled: this.props.disabled
      });
    }
  }]);

  return CDropdown;
}(_react["default"].Component);

exports.CDropdown = CDropdown;

_defineProperty(CDropdown, "Value", CDropdownValue);

_defineProperty(CDropdown, "defaultProps", {
  data: '',
  text: '',
  showRows: 5,
  dropWidth: '100%'
});

var _default = CDropdown;
exports["default"] = _default;
//# sourceMappingURL=CDropdown.js.map
