/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Checkbox = void 0;

var _react = _interopRequireDefault(require("react"));

var _bind = _interopRequireDefault(require("classnames/bind"));

var _Common = _interopRequireDefault(require("./Common"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Checkbox =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Checkbox, _React$Component);

  function Checkbox(props) {
    var _this$props$data, _this$props$checked;

    var _this;

    _classCallCheck(this, Checkbox);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Checkbox).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "domId", void 0);

    _defineProperty(_assertThisInitialized(_this), "changeHandler", function (e) {
      _this.setState({
        checked: e.target.checked
      });

      if (typeof _this.props.onChange === 'function') {
        _this.props.onChange(e, _assertThisInitialized(_this));
      }
    });

    _this.state = {
      value: (_this$props$data = _this.props.data) !== null && _this$props$data !== void 0 ? _this$props$data : '',
      checked: (_this$props$checked = _this.props.checked) !== null && _this$props$checked !== void 0 ? _this$props$checked : false
    };
    _this.domId = 'check-' + _Common["default"].RandomString(16);

    if (_this.props.id) {
      _this.domId = _this.props.id;
    }

    return _this;
  }

  _createClass(Checkbox, [{
    key: "UNSAFE_componentWillReceiveProps",
    value: function UNSAFE_componentWillReceiveProps(nextProp) {
      var _nextProp$checked;

      this.setState({
        checked: (_nextProp$checked = nextProp.checked) !== null && _nextProp$checked !== void 0 ? _nextProp$checked : false
      });
    }
  }, {
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(nextProps, nextState) {
      if (nextProps.disabled !== this.props.disabled) {
        return true;
      }

      if (nextProps.label !== this.props.label) {
        return true;
      }

      return nextState.checked !== this.state.checked;
    }
    /**
     * get checked
     * @returns {Boolean|*}
     */

  }, {
    key: "getChecked",
    value: function getChecked() {
      return this.state.checked;
    }
    /**
     * set checked
     * @param val
     */

  }, {
    key: "setChecked",
    value: function setChecked(val) {
      this.setState({
        checked: val
      });
    }
  }, {
    key: "getClasses",
    value: function getClasses() {
      var base = 'form-check';

      if (this.props.inline) {
        base = (0, _bind["default"])(base, 'form-check-inline');
      }

      if (this.props.absolute) {
        base = (0, _bind["default"])(base, 'position-absolute');
      }

      return (0, _bind["default"])(base, this.props.className);
    }
  }, {
    key: "getStyles",
    value: function getStyles() {
      var base = {};

      if (this.props.absolute) {
        var _this$props$y, _this$props$x;

        base.top = (_this$props$y = this.props.y) !== null && _this$props$y !== void 0 ? _this$props$y : '';
        base.left = (_this$props$x = this.props.x) !== null && _this$props$x !== void 0 ? _this$props$x : '';
      }

      return base;
    }
    /*********************
     * Event
     *********************/

  }, {
    key: "render",

    /*********************
     * render method
     *********************/
    value: function render() {
      // console.log('render Checkbox');
      var inProps = _objectSpread({}, this.props);

      delete inProps.absolute;
      delete inProps.inline;
      delete inProps.half;
      return _react["default"].createElement("div", {
        className: this.getClasses(),
        style: this.getStyles()
      }, _react["default"].createElement("input", _extends({}, inProps, {
        onChange: this.changeHandler,
        checked: this.state.checked,
        className: "form-check-input",
        type: "checkbox",
        id: this.domId
      })), _react["default"].createElement("label", {
        className: "form-check-label",
        htmlFor: this.domId
      }, this.props.label));
    }
  }]);

  return Checkbox;
}(_react["default"].Component);

exports.Checkbox = Checkbox;

_defineProperty(Checkbox, "defaultProps", {
  inline: false,
  label: ''
});

var _default = Checkbox;
exports["default"] = _default;
//# sourceMappingURL=Checkbox.js.map
