/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Complex = void 0;

var _react = _interopRequireDefault(require("react"));

var _bind = _interopRequireDefault(require("classnames/bind"));

require("./css/Complex.less");

var _Icon = _interopRequireDefault(require("./Icon"));

var _Combo = _interopRequireDefault(require("./Combo"));

var _common = require("./components/common");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Complex =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Complex, _React$Component);

  function Complex(props) {
    var _this$props$data;

    var _this;

    _classCallCheck(this, Complex);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Complex).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "combo", void 0);

    _defineProperty(_assertThisInitialized(_this), "input", void 0);

    _defineProperty(_assertThisInitialized(_this), "isFocus", void 0);

    _defineProperty(_assertThisInitialized(_this), "clearIcon", void 0);

    _defineProperty(_assertThisInitialized(_this), "main", void 0);

    _defineProperty(_assertThisInitialized(_this), "focusClearHandler", function () {
      _this.isFocus = true;

      if (_this.clearIcon) {
        _this.setState({
          icon: 'times-circle'
        }); // this.clearIcon.setIcon('times-circle');

      }
    });

    _defineProperty(_assertThisInitialized(_this), "blurClearHandler", function () {
      _this.isFocus = false;

      if (_this.clearIcon) {
        _this.setState({
          icon: 'angle-down'
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "searchHandler", function (e) {
      var state = {
        value: e.target ? e.target.value : e
      };

      _this.setState(state, function () {
        if (_this.combo) {
          _this.combo.filter(state.value);
        }
      });
    });

    _defineProperty(_assertThisInitialized(_this), "selectHandler", function (val, row) {
      _this.addNewData(val, row);
    });

    _defineProperty(_assertThisInitialized(_this), "clickHandler", function () {
      _this.input.focus();
    });

    _defineProperty(_assertThisInitialized(_this), "keyUpHandler", function (e) {
      if (_this.combo) return;

      if (e.key === 'Enter') {
        var _val = e.target ? e.target.value : e;

        if (_val === '') return;

        _this.addNewData(_val);
      }
    });

    _this.state = {
      list: (_this$props$data = _this.props.data) !== null && _this$props$data !== void 0 ? _this$props$data : [],
      value: "",
      icon: ''
    };
    return _this;
  }

  _createClass(Complex, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      if (this.combo) {
        this.input.addEventListener('focus', function (e) {
          _this2.combo.show(_this2.state.value, e.currentTarget);
        }, false);
      }

      this.input.addEventListener('mousedown', function (e) {
        e.stopPropagation();
      }, false);
      this.input.addEventListener('focus', this.focusClearHandler, false);
      this.input.addEventListener('blur', this.blurClearHandler, false);
    }
  }, {
    key: "UNSAFE_componentWillReceiveProps",
    value: function UNSAFE_componentWillReceiveProps(nextProps) {
      var _nextProps$data;

      if (this.state.list === nextProps.data) return;
      this.setState({
        list: (_nextProps$data = nextProps.data) !== null && _nextProps$data !== void 0 ? _nextProps$data : []
      });
    }
  }, {
    key: "getClasses",
    value: function getClasses() {
      var base = 'complex-main d-flex flex-wrap align-items-center';
      return (0, _bind["default"])(base, this.props.className);
    }
  }, {
    key: "getInputCss",
    value: function getInputCss() {
      var _this$props$inputWidt;

      var base = {};
      base.width = (_this$props$inputWidt = this.props.inputWidth) !== null && _this$props$inputWidt !== void 0 ? _this$props$inputWidt : '';
      return base;
    }
    /*********************
     * Event
     *********************/

  }, {
    key: "deleteHandler",
    value: function deleteHandler(idx) {
      var _this3 = this;

      return function (e) {
        e.stopPropagation();

        var list = _this3.state.list.slice(0);

        var del = list.splice(idx, 1);

        _this3.setState({
          list: list
        }, function () {
          if (typeof _this3.props.onChange === "function") {
            _this3.props.onChange(del[0], list);
          }
        });
      };
    }
  }, {
    key: "addNewData",
    value: function addNewData(val, row) {
      var _this4 = this;

      if (!this.props.duplicate) {
        var isDup = this.state.list.some(function (item) {
          if (_this4.props.dataType === 'string') {
            return item === val;
          } else {
            return item === row;
          }
        });

        if (isDup) {
          this.setState({
            value: ''
          }, function () {
            if (_this4.combo) {
              _this4.combo.setSearchText('');
            }
          });
          return;
        }
      }

      var list = this.state.list.slice(0);

      if (this.props.dataType === 'string') {
        list.push(val);
      } else {
        list.push(row);
      }

      var state = {
        value: '',
        list: list
      };
      this.setState(state, function () {
        if (_this4.combo) {
          _this4.combo.setSearchText('');

          if (typeof _this4.props.onSelect === 'function') {
            _this4.props.onSelect(val, row);
          }
        }

        if (typeof _this4.props.onChange === "function") {
          _this4.props.onChange(val, list);
        }
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props$theme,
          _this5 = this;

      var themeStr = typeof this.props.theme === 'string' ? this.props.theme : _common.Theme[(_this$props$theme = this.props.theme) !== null && _this$props$theme !== void 0 ? _this$props$theme : 0];
      var bgClass = this.props.theme !== undefined ? " bg-".concat(themeStr) : ' bg-primary';
      return _react["default"].createElement("div", {
        ref: function ref(c) {
          return _this5.main = c;
        },
        className: this.getClasses(),
        onClick: this.clickHandler
      }, this.state.list.map(function (item, idx) {
        return _react["default"].createElement("div", {
          key: idx,
          className: "val badge" + bgClass
        }, _react["default"].createElement("span", null, _this5.props.dataType === 'string' ? item : item[_this5.props.dataField]), _react["default"].createElement(_Icon["default"], {
          className: "ms-1",
          icon: "times-circle",
          onClick: _this5.deleteHandler(idx)
        }));
      }), _react["default"].createElement("div", null, _react["default"].createElement("input", {
        ref: function ref(c) {
          return _this5.input = c;
        },
        onKeyUp: this.keyUpHandler,
        placeholder: this.props.placeholder,
        className: "input",
        style: this.getInputCss(),
        value: this.state.value,
        onChange: this.searchHandler
      }), this.renderCombo()));
    }
  }, {
    key: "renderCombo",
    value: function renderCombo() {
      var _this6 = this;

      if (!this.props.combo) {
        return null;
      }

      var input_icon = 'ck-input-calendar-icon';

      if (this.props.size) {
        input_icon = (0, _bind["default"])(input_icon, 'ck-input-calendar-icon-' + this.props.size);
      }

      return _react["default"].createElement("div", {
        className: "ck-input-calendar"
      }, _react["default"].createElement(_Combo["default"], _extends({
        ref: function ref(c) {
          return _this6.combo = c;
        }
      }, this.props.combo, {
        sm: this.props.size === 'sm' || this.props.size === 'xs',
        data: this.props.comboData,
        noSearch: this.props.readOnly,
        onShow: function onShow() {},
        onSelect: this.selectHandler
      })), _react["default"].createElement("div", {
        className: input_icon,
        onMouseDown: function onMouseDown(e) {
          e.stopPropagation();
          e.preventDefault();

          if (_this6.isFocus) {
            var _this6$props, _this6$props$combo;

            _this6.searchHandler("");

            if ((_this6$props = _this6.props) === null || _this6$props === void 0 ? void 0 : (_this6$props$combo = _this6$props.combo) === null || _this6$props$combo === void 0 ? void 0 : _this6$props$combo.multi) {
              _this6.combo.clearMulti();
            }
          } else {
            _this6.input.focus();
          }
        }
      }, _react["default"].createElement(_Icon["default"], {
        ref: function ref(c) {
          return _this6.clearIcon = c;
        },
        icon: this.state.icon
      })));
    }
  }]);

  return Complex;
}(_react["default"].Component);

exports.Complex = Complex;

_defineProperty(Complex, "defaultProps", {
  inputWidth: "200px",
  dataType: "string",
  dataField: "",
  data: [],
  duplicate: false,
  Theme: _common.Theme.primary
});

var _default = Complex;
exports["default"] = _default;
//# sourceMappingURL=Complex.js.map
