/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.GroupStyle = void 0;

var _react = _interopRequireDefault(require("react"));

var _bind = _interopRequireDefault(require("classnames/bind"));

require("./css/GroupStyle.less");

var _Button = _interopRequireDefault(require("./Button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// interface State {
//     value: string
// }
var GroupStyleContent =
/*#__PURE__*/
function (_React$Component) {
  _inherits(GroupStyleContent, _React$Component);

  function GroupStyleContent() {
    _classCallCheck(this, GroupStyleContent);

    return _possibleConstructorReturn(this, _getPrototypeOf(GroupStyleContent).apply(this, arguments));
  }

  _createClass(GroupStyleContent, [{
    key: "render",
    value: function render() {
      return _react["default"].createElement("div", {
        className: "input-group"
      }, _react["default"].createElement("div", {
        className: "custom custom-right bg-body"
      }, this.props.children));
    }
  }]);

  return GroupStyleContent;
}(_react["default"].Component);

var GroupStyle =
/*#__PURE__*/
function (_React$Component2) {
  _inherits(GroupStyle, _React$Component2);

  function GroupStyle(props) {
    _classCallCheck(this, GroupStyle);

    return _possibleConstructorReturn(this, _getPrototypeOf(GroupStyle).call(this, props)); // this.state = {
    //     label: this.props.label
    // }
  }

  _createClass(GroupStyle, [{
    key: "getClasses",
    value: function getClasses() {
      var base = "group-style-main input-group";

      if (this.props.size !== 'df') {
        base = (0, _bind["default"])(base, 'input-group-' + this.props.size);
      }

      if (this.props.right !== null && this.props.left !== null) {
        base = (0, _bind["default"])(base, 'group-style-middle');
      } else if (this.props.left !== null) {
        base = (0, _bind["default"])(base, 'group-style-left');
      } else if (this.props.right !== null) {
        base = (0, _bind["default"])(base, 'group-style-right');
      }

      return (0, _bind["default"])(base, this.props.className);
    }
  }, {
    key: "render",
    value: function render() {
      return _react["default"].createElement("div", {
        className: this.getClasses()
      }, this.renderLeft(), this.props.children, this.renderRight());
    }
  }, {
    key: "renderLeft",
    value: function renderLeft() {
      if (this.props.left === null) return null;
      var typeStr = '';

      if (typeof this.props.left === 'string') {
        typeStr = 'string';
      } else if (_typeof(this.props.left) === 'object') {
        if (this.props.left.type === _Button["default"]) {
          typeStr = 'button';
        } else {
          typeStr = 'component';
        }
      } else {
        typeStr = 'component';
      }

      var con; // console.log(typeStr)

      switch (typeStr) {
        case 'string':
          con = _react["default"].createElement("div", {
            className: (0, _bind["default"])('input-group-text', this.props.leftClass)
          }, this.props.left);
          break;

        case 'button':
          con = this.props.left;
          break;

        default:
          con = _react["default"].createElement("div", {
            className: (0, _bind["default"])('custom custom-left', this.props.leftClass)
          }, this.props.left);
      }

      return _react["default"].createElement(_react["default"].Fragment, null, con);
    }
  }, {
    key: "renderRight",
    value: function renderRight() {
      if (!this.props.right) return null;
      var typeStr = '';

      if (typeof this.props.right === 'string') {
        typeStr = 'string';
      } else if (_typeof(this.props.left) === 'object') {
        if (this.props.left.type === _Button["default"]) {
          typeStr = 'button';
        } else {
          typeStr = 'component';
        }
      } else {
        typeStr = 'component';
      }

      var con;

      switch (typeStr) {
        case 'string':
          con = _react["default"].createElement("div", {
            className: (0, _bind["default"])('input-group-text', this.props.rightClass)
          }, this.props.right);
          break;

        case 'button':
          con = this.props.right;
          break;

        default:
          con = _react["default"].createElement("div", {
            className: (0, _bind["default"])('custom custom-right', this.props.rightClass)
          }, this.props.right);
      }

      return _react["default"].createElement(_react["default"].Fragment, null, con);
    }
  }]);

  return GroupStyle;
}(_react["default"].Component);

exports.GroupStyle = GroupStyle;

_defineProperty(GroupStyle, "defaultProps", {
  className: '',
  leftClass: '',
  rightClass: '',
  right: null,
  size: 'df'
});

_defineProperty(GroupStyle, "Content", GroupStyleContent);

var _default = GroupStyle;
exports["default"] = _default;
//# sourceMappingURL=GroupStyle.js.map
