/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.HScroll = void 0;

var _react = _interopRequireDefault(require("react"));

var _bind = _interopRequireDefault(require("classnames/bind"));

var _Common = require("./Common");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var HScroll =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(HScroll, _React$PureComponent);

  //parent scroll dom
  function HScroll(props) {
    var _this$props$speed;

    var _this;

    _classCallCheck(this, HScroll);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(HScroll).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "parent", void 0);

    _defineProperty(_assertThisInitialized(_this), "parentDom", void 0);

    _defineProperty(_assertThisInitialized(_this), "showDom", void 0);

    _defineProperty(_assertThisInitialized(_this), "alignParent", void 0);

    _defineProperty(_assertThisInitialized(_this), "wheelSpeed", void 0);

    _defineProperty(_assertThisInitialized(_this), "scrollProportion", void 0);

    _defineProperty(_assertThisInitialized(_this), "offsetLeft", void 0);

    _defineProperty(_assertThisInitialized(_this), "isShow", void 0);

    _defineProperty(_assertThisInitialized(_this), "x", void 0);

    _defineProperty(_assertThisInitialized(_this), "y", void 0);

    _defineProperty(_assertThisInitialized(_this), "scrollX", void 0);

    _defineProperty(_assertThisInitialized(_this), "scrollY", void 0);

    _defineProperty(_assertThisInitialized(_this), "domLeft", void 0);

    _defineProperty(_assertThisInitialized(_this), "domXY", void 0);

    _defineProperty(_assertThisInitialized(_this), "dom", void 0);

    _defineProperty(_assertThisInitialized(_this), "scrollDom", void 0);

    _defineProperty(_assertThisInitialized(_this), "setPosition", function () {
      var _ref, _assertThisInitialize, _assertThisInitialize2, _ref2, _assertThisInitialize3, _assertThisInitialize4, _assertThisInitialize5, _assertThisInitialize6, _ref3, _assertThisInitialize7, _assertThisInitialize8;

      var scrollTop = (_ref = (_assertThisInitialize = _assertThisInitialized(_this)) === null || _assertThisInitialize === void 0 ? void 0 : (_assertThisInitialize2 = _assertThisInitialize.alignParent) === null || _assertThisInitialize2 === void 0 ? void 0 : _assertThisInitialize2.scrollTop) !== null && _ref !== void 0 ? _ref : 0;

      if (_this.alignParent === document.documentElement) {
        scrollTop = Math.max(window.scrollY, document.documentElement.scrollTop, document.body.scrollTop);
      }

      var clientHeight = (_ref2 = (_assertThisInitialize3 = _assertThisInitialized(_this)) === null || _assertThisInitialize3 === void 0 ? void 0 : (_assertThisInitialize4 = _assertThisInitialize3.alignParent) === null || _assertThisInitialize4 === void 0 ? void 0 : _assertThisInitialize4.clientHeight) !== null && _ref2 !== void 0 ? _ref2 : 0;
      var bottom = ((_assertThisInitialize5 = _assertThisInitialized(_this)) === null || _assertThisInitialize5 === void 0 ? void 0 : (_assertThisInitialize6 = _assertThisInitialize5.parentDom) === null || _assertThisInitialize6 === void 0 ? void 0 : _assertThisInitialize6.clientHeight) + _this.domXY.top - clientHeight - scrollTop;

      if (bottom < 0 || bottom >= ((_ref3 = (_assertThisInitialize7 = _assertThisInitialized(_this)) === null || _assertThisInitialize7 === void 0 ? void 0 : (_assertThisInitialize8 = _assertThisInitialize7.parentDom) === null || _assertThisInitialize8 === void 0 ? void 0 : _assertThisInitialize8.clientHeight) !== null && _ref3 !== void 0 ? _ref3 : 0)) {
        _this.dom.style.bottom = '0';
      } else {
        _this.dom.style.bottom = "".concat(bottom + 2, "px");
      }
    });

    _defineProperty(_assertThisInitialized(_this), "showHandler", function () {
      if (_this.isShow || !_this.parentDom) return false;
      _this.scrollProportion = _this.parentDom.offsetWidth / _this.parentDom.scrollWidth;

      if (_this.scrollProportion === 1) {
        return;
      }

      _this.scrollDom.style.width = _this.parentDom.offsetWidth * _this.scrollProportion + 'px'; // this.dom.style.top = this.parentDom.offsetTop+'px';

      _this.dom.style.width = _this.parentDom.offsetWidth + 'px';
      _this.scrollDom.style.left = _this.parentDom.scrollLeft * _this.scrollProportion + 'px';

      _this.dom.classList.add('ck-scroll-show');

      _this.isShow = true;
      _this.domLeft = (0, _Common.GetDomXY)(_this.dom).left;
      _this.domXY = (0, _Common.GetDomXY)(_this.dom.offsetParent, _this.alignParent);

      if (_this.props.alignParent) {
        _this.setPosition();
      }
    });

    _defineProperty(_assertThisInitialized(_this), "hideHandler", function () {
      if (!_this.isShow) return;
      _this.isShow = false;

      _this.dom.classList.remove('ck-scroll-show');
    });

    _defineProperty(_assertThisInitialized(_this), "scrollHandler", function (e) {
      if (!_this.parentDom) return;

      if (e.deltaX !== 0) {
        e.preventDefault();
      }

      if (!_this.isShow) {
        _this.showHandler();
      }

      _this.setScrollLeft(_this.parentDom.scrollLeft + e.deltaX * _this.wheelSpeed);
    });

    _defineProperty(_assertThisInitialized(_this), "scrollClickHandler", function (e) {
      var bar_left = e.pageX - _this.domXY.left - _this.scrollDom.clientWidth / 2;

      if (_this.alignParent !== document.documentElement) {
        bar_left -= _this.domLeft;
      }

      _this.setBarLeft(bar_left); // this.scrollX = parseInt(this.scrollDom.style.left);
      // this.scrollY = parseInt(this.scrollDom.style.top);
      // this.x = parseInt(e.pageX);
      // this.y = parseInt(e.pageY);


      _this.beginDragHandler(e);
    });

    _defineProperty(_assertThisInitialized(_this), "beginDragHandler", function (e) {
      e.stopPropagation();
      e.preventDefault();
      _this.scrollX = parseInt(_this.scrollDom.style.left);
      _this.x = e.pageX;

      _this.dom.classList.add('ck-scroll-scrolling-h');

      window.addEventListener('mousemove', _this.moveDragHandler, false);
      window.addEventListener('mouseup', _this.endDragHandler, false);
    });

    _defineProperty(_assertThisInitialized(_this), "moveDragHandler", function (e) {
      _this.setBarLeft(e.pageX - _this.x + _this.scrollX);
    });

    _defineProperty(_assertThisInitialized(_this), "endDragHandler", function () {
      _this.dom.classList.remove('ck-scroll-scrolling-h');

      window.removeEventListener('mousemove', _this.moveDragHandler);
      window.removeEventListener('mouseup', _this.endDragHandler);
    });

    _this.parent = _this.props.parent || undefined; //scroll speed

    _this.wheelSpeed = ((_this$props$speed = _this.props.speed) !== null && _this$props$speed !== void 0 ? _this$props$speed : 1) / 10; //scroll height to component height Proportion

    _this.scrollProportion = 0; //scroll offset left

    _this.offsetLeft = 0; //display status

    _this.isShow = false; //move xy

    _this.x = 0;
    _this.y = 0;
    _this.scrollX = 0;
    _this.scrollY = 0; //scroll top xy

    _this.domXY = {}; //offset dom body left

    _this.domLeft = 0;
    return _this;
  }

  _createClass(HScroll, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.initParentEvent();
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      if (this.parentDom) {
        this.parentDom.classList.remove('ck-scroll-over');

        if (!this.showDom) {
          this.parentDom.removeEventListener('wheel', this.scrollHandler);
          this.parentDom.removeEventListener('mouseenter', this.showHandler);
          this.parentDom.removeEventListener('mouseleave', this.hideHandler);
        }
      }

      if (this.showDom) {
        this.showDom.removeEventListener('wheel', this.scrollHandler);
        this.showDom.removeEventListener('mouseenter', this.showHandler);
        this.showDom.removeEventListener('mouseleave', this.hideHandler);
      } // this.dom.addEventListener("mousedown",this.beginDragHandler,false);


      this.dom.removeEventListener("wheel", this.scrollHandler);

      if (this.props.alignParent) {
        if (this.alignParent === document.documentElement) {
          document.removeEventListener('scroll', this.setPosition);
        } else {
          var _this$alignParent;

          this === null || this === void 0 ? void 0 : (_this$alignParent = this.alignParent) === null || _this$alignParent === void 0 ? void 0 : _this$alignParent.removeEventListener('scroll', this.setPosition);
        }
      }
    }
  }, {
    key: "initParentEvent",
    value: function initParentEvent() {
      var _document$querySelect, _this$props$selector;

      this.parentDom = (_document$querySelect = document.querySelector((_this$props$selector = this.props.selector) !== null && _this$props$selector !== void 0 ? _this$props$selector : '')) !== null && _document$querySelect !== void 0 ? _document$querySelect : undefined;

      if (this.props.showSelector) {
        var _document$querySelect2, _this$showDom, _this$showDom2, _this$showDom3;

        this.showDom = (_document$querySelect2 = document.querySelector(this.props.showSelector)) !== null && _document$querySelect2 !== void 0 ? _document$querySelect2 : undefined;
        this === null || this === void 0 ? void 0 : (_this$showDom = this.showDom) === null || _this$showDom === void 0 ? void 0 : _this$showDom.addEventListener('wheel', this.scrollHandler, {
          passive: false
        });
        this === null || this === void 0 ? void 0 : (_this$showDom2 = this.showDom) === null || _this$showDom2 === void 0 ? void 0 : _this$showDom2.addEventListener('mouseenter', this.showHandler);
        this === null || this === void 0 ? void 0 : (_this$showDom3 = this.showDom) === null || _this$showDom3 === void 0 ? void 0 : _this$showDom3.addEventListener('mouseleave', this.hideHandler);
      }

      if (this.parentDom) {
        this.parentDom.classList.add('ck-scroll-over');

        if (!this.showDom) {
          this.parentDom.addEventListener('wheel', this.scrollHandler, {
            passive: false
          });
          this.parentDom.addEventListener('mouseenter', this.showHandler);
          this.parentDom.addEventListener('mouseleave', this.hideHandler);
        }
      } // this.dom.addEventListener("mousedown",this.beginDragHandler,false);


      this.dom.addEventListener("wheel", this.scrollHandler, {
        passive: false
      });

      if (this.props.alignParent) {
        this.initAlignParent();
      }
    } //align parent scroll bottom

  }, {
    key: "initAlignParent",
    value: function initAlignParent() {
      var _hasScrolledParent;

      if (this.props.alignParent && this.alignParent) {
        if (this.alignParent === document.documentElement) {
          document.removeEventListener('scroll', this.setPosition);
        } else {
          this.alignParent.removeEventListener('scroll', this.setPosition);
        }
      }

      this.alignParent = (_hasScrolledParent = (0, _Common.hasScrolledParent)(this.dom)) !== null && _hasScrolledParent !== void 0 ? _hasScrolledParent : document.documentElement;

      if (this.alignParent === document.documentElement) {
        document.addEventListener('scroll', this.setPosition, false);
      } else {
        this.alignParent.addEventListener('scroll', this.setPosition, false);
      }
    }
  }, {
    key: "getClasses",
    value: function getClasses() {
      var base = 'ck-scroll ck-scroll-h';
      return (0, _bind["default"])(base, this.props.className);
    }
  }, {
    key: "setScrollLeft",
    value: function setScrollLeft(left) {
      if (!this.parentDom) return;
      this.parentDom.scrollLeft = left;
      this.scrollDom.style.left = this.parentDom.scrollLeft * this.scrollProportion + 'px';
    }
  }, {
    key: "setBarLeft",
    value: function setBarLeft(left) {
      if (left < 0) {
        left = 0;
      } else if (left > this.dom.clientWidth - this.scrollDom.clientWidth) {
        left = this.dom.clientWidth - this.scrollDom.clientWidth;
      }

      this.scrollDom.style.left = left + 'px';
      if (this.parentDom) this.parentDom.scrollLeft = left / this.scrollProportion;
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react["default"].createElement("div", {
        ref: function ref(c) {
          return _this2.dom = c;
        },
        className: this.getClasses(),
        onMouseDown: this.scrollClickHandler
      }, _react["default"].createElement("div", {
        ref: function ref(c) {
          return _this2.scrollDom = c;
        },
        className: "ck-scroll-bar ck-scroll-bar-h",
        onMouseDown: this.beginDragHandler
      }));
    }
  }]);

  return HScroll;
}(_react["default"].PureComponent);

exports.HScroll = HScroll;

_defineProperty(HScroll, "defaultProps", {
  speed: 5,
  align: 'bottom',
  alignParent: false
});

var _default = HScroll;
exports["default"] = _default;
//# sourceMappingURL=HScroll.js.map
