/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Pagination = void 0;

var _react = _interopRequireDefault(require("react"));

var _bind = _interopRequireDefault(require("classnames/bind"));

var _Icon = _interopRequireDefault(require("./Icon"));

var _CDropdown = _interopRequireDefault(require("./CDropdown"));

require("./css/Pagination.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Pagination =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(Pagination, _React$PureComponent);

  function Pagination(props) {
    var _this$props$showPages, _this$props$current, _this$props$count, _this$props$number, _this$props$number2;

    var _this;

    _classCallCheck(this, Pagination);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Pagination).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "show_pages", void 0);

    _defineProperty(_assertThisInitialized(_this), "current", void 0);

    _defineProperty(_assertThisInitialized(_this), "count", void 0);

    _defineProperty(_assertThisInitialized(_this), "is_more", void 0);

    _defineProperty(_assertThisInitialized(_this), "is_after", void 0);

    _this.show_pages = (_this$props$showPages = _this.props.showPages) !== null && _this$props$showPages !== void 0 ? _this$props$showPages : Pagination.defaultProps.showPages;
    _this.current = (_this$props$current = _this.props.current) !== null && _this$props$current !== void 0 ? _this$props$current : 1;
    _this.count = calculatePages((_this$props$count = _this.props.count) !== null && _this$props$count !== void 0 ? _this$props$count : 1, (_this$props$number = _this.props.number) !== null && _this$props$number !== void 0 ? _this$props$number : 1);
    _this.is_more = false;
    _this.is_after = false;
    _this.state = {
      data: _this.showPages(),
      showNumber: (_this$props$number2 = _this.props.number) !== null && _this$props$number2 !== void 0 ? _this$props$number2 : 1
    };
    return _this;
  }

  _createClass(Pagination, [{
    key: "UNSAFE_componentWillReceiveProps",
    value: function UNSAFE_componentWillReceiveProps(nextProps) {
      if (this.props.count !== nextProps.count || this.props.current !== nextProps.current || this.props.number !== nextProps.number) {
        var _nextProps$current, _nextProps$count, _nextProps$number, _nextProps$number2;

        this.current = (_nextProps$current = nextProps.current) !== null && _nextProps$current !== void 0 ? _nextProps$current : 1;
        this.count = calculatePages((_nextProps$count = nextProps.count) !== null && _nextProps$count !== void 0 ? _nextProps$count : 1, (_nextProps$number = nextProps.number) !== null && _nextProps$number !== void 0 ? _nextProps$number : 1);
        this.setState({
          data: this.showPages(),
          showNumber: (_nextProps$number2 = nextProps.number) !== null && _nextProps$number2 !== void 0 ? _nextProps$number2 : 1
        });
      }
    }
  }, {
    key: "clickHandler",
    value: function clickHandler(page) {
      var _this2 = this;

      return function (e) {
        e.preventDefault();
        if (!_this2.props.onSelect) return;

        switch (page) {
          case 'first':
            _this2.props.onSelect(1, _this2.state.showNumber);

            break;

          case 'prev':
            _this2.props.onSelect(_this2.current - 1 < 1 ? 1 : _this2.current - 1, _this2.state.showNumber);

            break;

          case 'next':
            _this2.props.onSelect(_this2.current + 1 > _this2.count ? _this2.count : _this2.current + 1, _this2.state.showNumber);

            break;

          case 'last':
            _this2.props.onSelect(_this2.count, _this2.state.showNumber);

            break;

          case 'stop':
            break;

          default:
            _this2.props.onSelect(page, _this2.state.showNumber);

        }
      };
    }
  }, {
    key: "showPages",
    value: function showPages() {
      var cut = this.current % this.show_pages;
      var pages = cut === 0 ? this.current - this.show_pages : this.current - cut;
      var start = pages + 1;
      var end = pages + this.show_pages;
      var arr = [];
      this.is_after = this.current > this.show_pages; // this.is_more = end + 1;

      this.is_more = this.count > this.show_pages;

      for (var i = start; i <= end; i++) {
        if (i <= this.count) {
          arr.push(i);
        } else {
          this.is_more = false;
          break;
        }
      }

      return arr;
    }
  }, {
    key: "getClasses",
    value: function getClasses() {
      var base = 'pagination';

      switch (this.props.align) {
        case 'right':
          base = (0, _bind["default"])(base, 'justify-content-end');
          break;

        case 'center':
          base = (0, _bind["default"])(base, 'justify-content-center');
          break;
      }

      if (this.props.size) {
        base = (0, _bind["default"])(base, "pagination-".concat(this.props.size));
      }

      return base;
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props$size,
          _this3 = this;

      return _react["default"].createElement("nav", {
        className: this.props.sticky ? 'pagination-sticky' : ''
      }, _react["default"].createElement("ul", {
        className: this.getClasses()
      }, this.props.numberList && this.props.numberList.length > 0 ? _react["default"].createElement("li", null, _react["default"].createElement(_CDropdown["default"], {
        className: "me-1",
        size: (_this$props$size = this.props.size) !== null && _this$props$size !== void 0 ? _this$props$size : '',
        text: "\u4E0B\u62C9\u9009\u62E9",
        onChange: function onChange(val, row) {
          if (_this3.props.onSelect) _this3.props.onSelect(1, row.value, val);
        }
      }, this.props.numberList.map(function (item, idx) {
        return _react["default"].createElement(_CDropdown["default"].Value, {
          key: idx,
          text: item.text,
          value: item.value,
          active: _this3.state.showNumber === item.value
        });
      }))) : null, _react["default"].createElement("li", {
        className: "page-item disabled"
      }, this.renderInfo()), _react["default"].createElement("li", {
        className: "page-item"
      }, _react["default"].createElement("a", {
        className: "page-link",
        onClick: this.clickHandler('first')
      }, _react["default"].createElement(_Icon["default"], {
        icon: "step-backward"
      }))), _react["default"].createElement("li", {
        className: "page-item"
      }, _react["default"].createElement("a", {
        className: "page-link",
        onClick: this.clickHandler('prev')
      }, _react["default"].createElement(_Icon["default"], {
        icon: "angle-double-left"
      }))), this.is_after ? this.renderMore(this.state.data[0] - 1) : null, this.renderPages(), this.is_more ? this.renderMore(Number(this.state.data.at(-1)) + 1) : null, _react["default"].createElement("li", {
        className: "page-item"
      }, _react["default"].createElement("a", {
        className: "page-link",
        onClick: this.clickHandler('next')
      }, _react["default"].createElement(_Icon["default"], {
        icon: "angle-double-right"
      }))), _react["default"].createElement("li", {
        className: "page-item"
      }, _react["default"].createElement("a", {
        className: "page-link",
        onClick: this.clickHandler('last')
      }, _react["default"].createElement(_Icon["default"], {
        icon: "step-forward"
      })))));
    }
  }, {
    key: "renderInfo",
    value: function renderInfo() {
      var content = "\u603B\u8BB0\u5F55 ".concat(this.props.count, " \u6761,\u5171\u6709 ").concat(this.count, " \u9875");

      if (typeof this.props.info === 'string') {
        var _ref, _this$props$count2, _this$count;

        content = this.props.info.replaceAll('${count}', (_ref = (_this$props$count2 = this.props.count) === null || _this$props$count2 === void 0 ? void 0 : _this$props$count2.toString()) !== null && _ref !== void 0 ? _ref : '');
        content = content.replaceAll('${page}', (_this$count = this.count) === null || _this$count === void 0 ? void 0 : _this$count.toString());
      }

      return _react["default"].createElement("span", {
        className: "page-link text-nowrap"
      }, content);
    }
  }, {
    key: "renderMore",
    value: function renderMore(page) {
      return _react["default"].createElement("li", {
        className: "page-item"
      }, _react["default"].createElement("a", {
        className: "page-link",
        onClick: this.clickHandler(page)
      }, "..."));
    }
  }, {
    key: "renderPages",
    value: function renderPages() {
      var _this4 = this;

      return this.state.data.map(function (v, idx) {
        return _react["default"].createElement("li", {
          key: idx,
          className: _this4.current === v ? "page-item active" : "page-item"
        }, _this4.current === v ? _react["default"].createElement("a", {
          className: "page-link",
          onClick: _this4.clickHandler('stop')
        }, v) : _react["default"].createElement("a", {
          className: "page-link",
          onClick: _this4.clickHandler(v.toString())
        }, v));
      });
    }
  }]);

  return Pagination;
}(_react["default"].PureComponent);

exports.Pagination = Pagination;

_defineProperty(Pagination, "defaultProps", {
  current: 1,
  count: 1,
  number: 50,
  showPages: 10,
  align: 'right',
  numberList: [// {text:'显示50条',value:50},
    // {text:'显示100条',value:100},
    // {text:'显示150条',value:150}
  ],
  info: null,
  sticky: true
});

function calculatePages(count, number) {
  var pages;

  if (count % number === 0) {
    pages = Math.floor(count / number);
  } else {
    pages = Math.floor(count / number) + 1;
  }

  return pages;
}

var _default = Pagination;
exports["default"] = _default;
//# sourceMappingURL=Pagination.js.map
