/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Svg = Svg;
exports.SvgSelector = SvgSelector;
exports.SvgElm = SvgElm;
exports.SvgEl = void 0;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var SvgEl =
/*#__PURE__*/
function () {
  /**
   * 主节点
   * @type SVGElement
   */
  function SvgEl(el_name, selector, elm) {
    _classCallCheck(this, SvgEl);

    _defineProperty(this, "el", void 0);

    if (elm) {
      this.el = elm;
    } else if (selector) {
      var dom = document.querySelector(selector);

      if (!dom) {
        throw "selector not found";
      }

      this.el = dom;
    } else {
      this.el = document.createElementNS('http://www.w3.org/2000/svg', el_name !== null && el_name !== void 0 ? el_name : 'svg');
    }
  }

  _createClass(SvgEl, [{
    key: "add",
    value: function add(el_name) {
      if (!el_name) return this;
      var child = new SvgEl(el_name);
      this.el.appendChild(child.el);
      return child;
    }
  }, {
    key: "attr",
    value: function attr(name, val) {
      this.el.setAttribute(name, val);
      return this;
    }
  }, {
    key: "attachTo",
    value: function attachTo(selector) {
      var _document$querySelect;

      (_document$querySelect = document.querySelector(selector)) === null || _document$querySelect === void 0 ? void 0 : _document$querySelect.appendChild(this.el);
    }
  }]);

  return SvgEl;
}();

exports.SvgEl = SvgEl;

function Svg() {
  return new SvgEl();
}

function SvgSelector(selector) {
  return new SvgEl(undefined, selector);
}

function SvgElm(elm) {
  return new SvgEl(undefined, undefined, elm);
}
//# sourceMappingURL=Svg.js.map
