import React from 'react';
import { ComponentProps, StrObject } from './components/common';
interface Props extends ComponentProps {
    label?: string;
    inline?: boolean;
    data?: any;
    checked?: boolean;
    onChange?: (evt?: any, obj?: any) => void;
}
interface State {
    value: any;
    checked: boolean;
}
export declare class Checkbox extends React.Component<Props, State> {
    static defaultProps: {
        inline: boolean;
        label: string;
    };
    domId: string;
    constructor(props: any);
    UNSAFE_componentWillReceiveProps(nextProp: Props): void;
    shouldComponentUpdate(nextProps: Props, nextState: State): boolean;
    /**
     * get checked
     * @returns {Boolean|*}
     */
    getChecked(): boolean;
    /**
     * set checked
     * @param val
     */
    setChecked(val: boolean): void;
    getClasses(): string;
    getStyles(): StrObject;
    /*********************
     * Event
     *********************/
    changeHandler: (e: React.ChangeEvent) => void;
    /*********************
     * render method
     *********************/
    render(): JSX.Element;
}
export default Checkbox;
//# sourceMappingURL=Checkbox.d.ts.map