import React from 'react';
import Input from "./Input";
import { ComponentProps } from './components/common';
interface ColumnProps extends ComponentProps {
    field: string;
    text: string;
    format?: (val: any, row?: any) => any;
    width?: string;
}
declare class ComboBoxColumn extends React.Component<ColumnProps, any> {
}
interface Props extends ComponentProps {
    label?: any;
    searchColumn?: string;
    data?: any;
    showRows?: number;
    search?: string;
    onSearch?: (search: string, callback: (data: any) => void) => void;
    onSelect?: (val: any, row: any) => void;
    onClose?: () => void;
    onShow?: () => void;
    sm?: boolean;
    multi?: boolean;
    multiDef?: any;
    onChange?: (val: any, row: any, obj?: any) => void;
    filterColumns?: any;
    noSearch?: boolean;
    header?: boolean;
    size?: string;
    value?: string;
    text?: string;
    validate?: any;
    placeholder?: string;
    readOnly?: boolean;
}
export declare class ComboBox extends React.Component<Props, any> {
    static Column: typeof ComboBoxColumn;
    static defaultProps: {
        showRows: number;
        data: never[];
        search: string;
        multi: boolean;
        multiDef: null;
        header: boolean;
    };
    main: Input;
    constructor(props: any);
    check(): boolean;
    render(): JSX.Element;
}
export default ComboBox;
//# sourceMappingURL=ComboBox.d.ts.map