import React from 'react';
import { ComponentProps, Theme } from './components/common';
import * as bootstrap from 'bootstrap';
interface ValueProps {
    text?: string;
    value?: any;
    active?: boolean;
}
export declare class DropdownValue extends React.Component<ValueProps, any> {
}
interface Props extends ComponentProps {
    data?: any;
    text?: string;
    onChange?: (txt: any, val: any) => void;
    outline?: boolean;
    theme?: Theme;
    icon?: string;
    grid?: boolean;
    locked?: boolean;
}
interface State {
    text: string;
    value: string;
    list: any;
}
export declare class Dropdown extends React.PureComponent<Props, State> {
    static Value: typeof DropdownValue;
    static defaultProps: {
        data: never[];
        text: string;
        theme: Theme;
        outline: boolean;
    };
    domId: string;
    dropdown: bootstrap.Dropdown;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    UNSAFE_componentWillReceiveProps(nextProp: Props): void;
    selectHandler: (e: any) => void;
    setValue(val: any): void;
    getValue(): string;
    getJsonValue(): {
        text: string;
        value: string;
    };
    getClasses(): string;
    getStyles(): any;
    renderList(): any;
    renderGrid(): JSX.Element[] | null;
    render(): JSX.Element;
}
export default Dropdown;
//# sourceMappingURL=Dropdown.d.ts.map