import React from 'react';
import { ComponentProps } from './components/common';
interface Props extends ComponentProps {
    onChange?: (field: any, val?: any, row?: any, combo?: any, comboField?: any) => void;
}
export declare class Form extends React.PureComponent<Props, any> {
    vals: any;
    components: any;
    events: any;
    newColumn: any;
    lastValidItem: any;
    constructor(props: any);
    componentDidMount(): void;
    getValues(): any;
    getNew(): any;
    setValue(field: any, val: any): void;
    check(): boolean;
    getLastErrorCheck(): any;
    setValues(vals: any): void;
    inputChangeHandler(field: any): (val: any) => void;
    comboChangeHandler(field: any, searchField?: any): (val: any, row: any) => void;
    selectChangeHandler(field: any): (e: any) => void;
    dropdownChangeHandler(field: any): (text: any, val: any) => void;
    cdropdownChangeHandler(field: any): (text: any, row: any) => void;
    checkChangeHandler(field: any): (checked: any) => void;
    switchChangeHandler(field: any): (checked: any) => void;
    calendarRangeChangeHandler(field: any): (min: any, max: any) => void;
    radioChangeHandler(field: any): (val: any) => void;
    refComponent(field: any, orgRef: any): (c: any) => void;
    bindingComponent(item: any): any;
    render(): JSX.Element;
}
export default Form;
//# sourceMappingURL=Form.d.ts.map