import React from 'react';
import { ComponentProps } from './components/common';
interface Props extends ComponentProps {
    label?: any;
    data?: any;
    summary?: string;
    placeholder?: string;
    disabled?: boolean;
    onChange?: (val: any, obj?: any) => void;
}
interface State {
    label: string;
    value: any;
    disabled: boolean;
}
export declare class InputGroup extends React.Component<Props, State> {
    static defaultProps: {
        label: string;
        data: undefined;
        size: string;
        summary: string;
        disabled: boolean;
    };
    constructor(props: any);
    UNSAFE_componentWillReceiveProps(nextProp: Props): void;
    shouldComponentUpdate(nextProps: Props, nextState: State): boolean;
    getValue(): any;
    setValue(val: any): void;
    /*********************
     * Event
     *********************/
    changeHandler: (e: any) => void;
    /*********************
     * render method
     *********************/
    renderSummary(): JSX.Element | null;
    render(): JSX.Element;
}
export default InputGroup;
//# sourceMappingURL=InputGroup.d.ts.map