import React from 'react';
import { ComponentProps } from './components/common';
import './css/Pagination.less';
interface Props extends ComponentProps {
    current?: number;
    count?: number;
    number?: number;
    showPages?: number;
    onSelect?: (page: any, showNumber: number, txt?: any) => void;
    align?: string;
    info?: any;
    numberList?: any[];
    sticky?: boolean;
}
interface State {
    data: number[];
    showNumber: number;
}
export declare class Pagination extends React.PureComponent<Props, State> {
    static defaultProps: {
        current: number;
        count: number;
        number: number;
        showPages: number;
        align: string;
        numberList: never[];
        info: null;
        sticky: boolean;
    };
    show_pages: number;
    current: number;
    count: number;
    is_more: boolean;
    is_after: boolean;
    constructor(props: any);
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    clickHandler(page: string): (e: React.MouseEvent) => void;
    showPages(): number[];
    getClasses(): string;
    render(): JSX.Element;
    renderInfo(): JSX.Element;
    renderMore(page: any): JSX.Element;
    renderPages(): JSX.Element[];
}
export default Pagination;
//# sourceMappingURL=Pagination.d.ts.map