import React from 'react';
import { ComponentProps, StrObject } from './components/common';
interface Props extends ComponentProps {
    checked?: boolean;
    name?: string;
    label?: string;
    onChange?: (e: any, obj?: Radio) => void;
    data?: any;
    inputClass?: string;
    inline?: boolean;
}
interface State {
    value: any;
    checked: boolean;
}
export declare class Radio extends React.Component<Props, State> {
    static defaultProps: {
        inline: boolean;
        label: string;
    };
    domId: string;
    constructor(props: any);
    UNSAFE_componentWillReceiveProps(nextProp: Props): void;
    shouldComponentUpdate(nextProps: Props, nextState: State): boolean;
    getClasses(): string;
    getStyles(): StrObject;
    inputClasses(): string;
    /*********************
     * Event
     *********************/
    changeHandler: (e: React.ChangeEvent) => void;
    render(): JSX.Element;
}
export default Radio;
//# sourceMappingURL=Radio.d.ts.map