import React from 'react';
import { ComponentProps } from './components/common';
interface Props extends ComponentProps {
    label?: string;
    data?: any[];
    summary?: string;
    readOnly?: boolean;
    placeholder?: string;
    onSelect?: (e: any, obj?: Select) => void;
    value?: any;
}
interface State {
    value: any;
    data: any[];
}
export declare class Select extends React.Component<Props, State> {
    static defaultProps: {
        data: never[];
        label: string;
    };
    domId: string;
    constructor(props: any);
    UNSAFE_componentWillReceiveProps(nextProp: Props): void;
    shouldComponentUpdate(nextProps: Props, nextState: State): boolean;
    getValue(): any;
    setValue(val: any): void;
    getClasses(): string;
    getMainStyles(): any;
    getInputClasses(): string;
    /*********************
     * Event
     *********************/
    selectHandler: (e: any) => void;
    /*********************
     * render method
     *********************/
    renderLabel(): JSX.Element | null;
    renderSummary(): JSX.Element | null;
    render(): JSX.Element;
}
export default Select;
//# sourceMappingURL=Select.d.ts.map