import React from 'react';
import './css/Switch.less';
import { ComponentProps, Theme } from './components/common';
interface Props extends ComponentProps {
    checked?: boolean;
    onChange?: (chk: boolean) => void;
}
interface State {
    checked: boolean;
}
export declare class Switch extends React.Component<Props, State> {
    static defaultProps: {
        theme: Theme;
        checked: boolean;
    };
    checked: boolean;
    bg_color: string;
    text_color: string;
    move_class: string;
    circle: HTMLDivElement;
    bg: HTMLDivElement;
    constructor(props: any);
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    getChecked(): boolean;
    setChecked(check: boolean): void;
    getClasses(): string;
    getStyles(): any;
    getCircleClasses(): string;
    clickHandler: () => void;
    changeStatus(flag: boolean): void;
    render(): JSX.Element;
}
export default Switch;
//# sourceMappingURL=Switch.d.ts.map