import React from 'react';
import { ComponentProps, Theme } from './components/common';
interface Props extends ComponentProps {
    onFormat?: (val: any, row: any, idx: any, col?: any, field?: any) => void;
    text?: string | any;
    field: string;
    value?: string;
    row?: any;
    cols?: number;
    onSort?: (field: string, sort: string) => void;
    align?: string;
    hide?: boolean;
    tree?: boolean | ((row: any) => boolean);
    width?: string;
    bgColor?: Theme | string;
    color?: Theme | string;
    onClickTree?: () => void;
    onDbClick?: (field: any, row: any) => void;
    afterHold?: boolean;
    beforeHold?: boolean;
    edit?: any;
    move?: boolean;
    sort?: string;
    textOver?: boolean;
}
export declare class TableHeader extends React.Component<Props> {
    static defaultProps: {
        text: string;
        field: string;
        value: string;
        row: null;
        onFormat: null;
        onSort: null;
        align: string;
        hold: boolean;
        edit: null;
    };
    constructor(props: any);
    render(): null;
}
export default TableHeader;
//# sourceMappingURL=TableHeader.d.ts.map