/// <reference types="react" />
export interface ComponentProps extends React.ClassAttributes<any> {
    id?: string;
    absolute?: boolean;
    x?: string;
    y?: string;
    hidden?: boolean;
    width?: string;
    height?: string;
    size?: string;
    className?: string;
    disabled?: boolean;
    children?: any;
    style?: any;
    theme?: Theme | string;
    field?: string;
    [propName: string]: any;
}
export interface StrObject {
    [propName: string]: string;
}
export interface AnyObject {
    [propName: string]: any;
}
export declare enum Theme {
    primary = 0,
    secondary = 1,
    success = 2,
    danger = 3,
    warning = 4,
    info = 5,
    light = 6,
    dark = 7,
    link = 8
}
//# sourceMappingURL=common.d.ts.map