/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Alerts = void 0;

var _react = _interopRequireDefault(require("react"));

var _Icon = _interopRequireDefault(require("./Icon"));

var _bind = _interopRequireDefault(require("classnames/bind"));

require("./css/Alerts.less");

var _Load = _interopRequireDefault(require("./Load"));

var _common = require("./components/common");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Alerts =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Alerts, _React$Component);

  function Alerts(props) {
    var _this$props$theme;

    var _this;

    _classCallCheck(this, Alerts);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Alerts).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "timeout", void 0);

    _defineProperty(_assertThisInitialized(_this), "clickHandler", function () {
      _this.hide();
    });

    _this.state = {
      content: _this.props.content,
      show: false,
      autoHide: _this.props.autoHide,
      width: _this.props.width,
      theme: typeof _this.props.theme === 'string' ? _this.props.theme : _common.Theme[(_this$props$theme = _this.props.theme) !== null && _this$props$theme !== void 0 ? _this$props$theme : 0],
      isClose: true
    };
    _this.timeout = 0;
    return _this;
  }

  _createClass(Alerts, [{
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(nextProps, nextState) {
      if (nextState.content !== this.state.content) {
        return true;
      }

      if (nextState.show !== this.state.show) {
        return true;
      }

      return nextState.autoHide !== this.state.autoHide;
    }
  }, {
    key: "show",
    value: function show(opt) {
      var _ref,
          _ref2,
          _ref3,
          _ref4,
          _ref5,
          _ref6,
          _ref7,
          _theme,
          _this$props$theme2,
          _ref8,
          _ref9,
          _this2 = this;

      var theme;

      if ((_ref = opt) === null || _ref === void 0 ? void 0 : _ref.theme) {
        var _opts$theme;

        var opts = opt;
        theme = typeof opts.theme === 'string' ? opts.theme : _common.Theme[(_opts$theme = opts.theme) !== null && _opts$theme !== void 0 ? _opts$theme : 0];
      }

      console.log(theme);
      this.setState({
        content: (_ref2 = (_ref3 = opt) === null || _ref3 === void 0 ? void 0 : _ref3.content) !== null && _ref2 !== void 0 ? _ref2 : opt,
        autoHide: (_ref4 = (_ref5 = opt) === null || _ref5 === void 0 ? void 0 : _ref5.autoHide) !== null && _ref4 !== void 0 ? _ref4 : this.props.autoHide,
        width: (_ref6 = (_ref7 = opt) === null || _ref7 === void 0 ? void 0 : _ref7.width) !== null && _ref6 !== void 0 ? _ref6 : this.props.width,
        theme: (_theme = theme) !== null && _theme !== void 0 ? _theme : typeof this.props.theme === 'string' ? this.props.theme : _common.Theme[(_this$props$theme2 = this.props.theme) !== null && _this$props$theme2 !== void 0 ? _this$props$theme2 : 0],
        isClose: (_ref8 = (_ref9 = opt) === null || _ref9 === void 0 ? void 0 : _ref9.isClose) !== null && _ref8 !== void 0 ? _ref8 : true,
        show: true
      }, function () {
        if (_this2.state.autoHide !== 0) {
          clearTimeout(_this2.timeout);
          _this2.timeout = setTimeout(function () {
            _this2.setState({
              show: false
            });
          }, _this2.state.autoHide);
        }
      });
    }
  }, {
    key: "loading",
    value: function loading(msg) {
      this.show({
        content: _react["default"].createElement(_react["default"].Fragment, null, _react["default"].createElement(_Load["default"], null), "\xA0", msg),
        theme: 'info',
        autoHide: 0
      });
    }
  }, {
    key: "hide",
    value: function hide() {
      clearTimeout(this.timeout);
      this.setState({
        show: false
      });
    }
  }, {
    key: "getClasses",
    value: function getClasses() {
      var base = 'ck-alerts-main';

      if (this.state.show) {
        base = (0, _bind["default"])(base, 'visible');
      }

      return (0, _bind["default"])(base, this.props.className);
    }
  }, {
    key: "getContentClasses",
    value: function getContentClasses() {
      var base = 'main shadow d-flex alert';
      base = (0, _bind["default"])(base, "alert-".concat(this.state.theme));

      if (this.state.show) {
        base = (0, _bind["default"])(base, 'show');
      }

      return (0, _bind["default"])(base, this.props.className);
    }
  }, {
    key: "getContentStyle",
    value: function getContentStyle() {
      var base = {
        width: this.state.width
      };
      return base;
    }
  }, {
    key: "render",
    value: function render() {
      return _react["default"].createElement("div", {
        className: this.getClasses()
      }, _react["default"].createElement("div", {
        className: this.getContentClasses(),
        style: this.getContentStyle(),
        onClick: this.clickHandler
      }, _react["default"].createElement("div", {
        className: "flex-grow-1"
      }, this.state.content), _react["default"].createElement("div", null, _react["default"].createElement(_Icon["default"], {
        icon: "times"
      }))));
    }
  }]);

  return Alerts;
}(_react["default"].Component);

exports.Alerts = Alerts;

_defineProperty(Alerts, "defaultProps", {
  theme: 'danger',
  autoHide: 3000,
  width: '50%'
});

var _default = Alerts;
exports["default"] = _default;
//# sourceMappingURL=Alerts.js.map
