/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.ComboBox = void 0;

var _react = _interopRequireDefault(require("react"));

var _Input = _interopRequireDefault(require("./Input"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var ComboBoxColumn =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ComboBoxColumn, _React$Component);

  function ComboBoxColumn() {
    _classCallCheck(this, ComboBoxColumn);

    return _possibleConstructorReturn(this, _getPrototypeOf(ComboBoxColumn).apply(this, arguments));
  }

  return ComboBoxColumn;
}(_react["default"].Component);

var ComboBox =
/*#__PURE__*/
function (_React$Component2) {
  _inherits(ComboBox, _React$Component2);

  function ComboBox(props) {
    var _this;

    _classCallCheck(this, ComboBox);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ComboBox).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "main", void 0);

    return _this;
  }

  _createClass(ComboBox, [{
    key: "check",
    value: function check() {
      return this.main.check();
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this,
          _this$props$text;

      var props = _objectSpread({}, this.props);

      if (_react["default"].Children.count(this.props.children)) {
        var filterColumn = [];

        _react["default"].Children.forEach(this.props.children, function (item) {
          if (item.type === ComboBoxColumn) {
            filterColumn.push({
              field: item.props.field,
              text: item.props.text,
              format: item.props.format,
              width: item.props.width
            });
          }
        });

        props.filterColumns = filterColumn;
      }

      return _react["default"].createElement(_Input["default"], {
        ref: function ref(c) {
          return _this2.main = c;
        },
        className: this.props.className,
        placeholder: (_this$props$text = this.props.text) !== null && _this$props$text !== void 0 ? _this$props$text : this.props.placeholder,
        label: this.props.label,
        data: this.props.value,
        size: this.props.size,
        readOnly: this.props.readOnly,
        disabled: this.props.disabled,
        onChange: this.props.onChange,
        combo: props,
        validate: this.props.validate,
        comboData: this.props.data
      });
    }
  }]);

  return ComboBox;
}(_react["default"].Component);

exports.ComboBox = ComboBox;

_defineProperty(ComboBox, "Column", ComboBoxColumn);

_defineProperty(ComboBox, "defaultProps", {
  showRows: 5,
  data: [],
  search: "",
  multi: false,
  multiDef: null,
  header: false
});

var _default = ComboBox;
exports["default"] = _default;
//# sourceMappingURL=ComboBox.js.map
