/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Select = void 0;

var _react = _interopRequireDefault(require("react"));

var _bind = _interopRequireDefault(require("classnames/bind"));

var _Common = _interopRequireDefault(require("./Common"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Select =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Select, _React$Component);

  function Select(props) {
    var _this$props$data;

    var _this;

    _classCallCheck(this, Select);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Select).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "domId", void 0);

    _defineProperty(_assertThisInitialized(_this), "selectHandler", function (e) {
      _this.setState({
        value: e.target.value
      });

      if (_this.props.onSelect && typeof _this.props.onSelect === 'function') {
        _this.props.onSelect(e, _assertThisInitialized(_this));
      }
    });

    _this.domId = 'select-' + _Common["default"].RandomString(8);
    _this.state = {
      value: _this.props.value,
      data: (_this$props$data = _this.props.data) !== null && _this$props$data !== void 0 ? _this$props$data : []
    };
    return _this;
  }

  _createClass(Select, [{
    key: "UNSAFE_componentWillReceiveProps",
    value: function UNSAFE_componentWillReceiveProps(nextProp) {
      var _nextProp$data;

      this.setState({
        value: nextProp.value,
        data: (_nextProp$data = nextProp.data) !== null && _nextProp$data !== void 0 ? _nextProp$data : []
      });
    }
  }, {
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(nextProps, nextState) {
      if (nextProps.disabled !== this.props.disabled) {
        return true;
      }

      return nextState.data !== this.state.data || nextState.value !== this.state.value;
    }
  }, {
    key: "getValue",
    value: function getValue() {
      return this.state.value;
    }
  }, {
    key: "setValue",
    value: function setValue(val) {
      this.setState({
        value: val
      });
    }
  }, {
    key: "getClasses",
    value: function getClasses() {
      var base = '';

      if (this.props.absolute) {
        base = (0, _bind["default"])(base, 'position-absolute');
      }

      if (this.props.label) {
        base = (0, _bind["default"])(base, 'mb-3');
      }

      return (0, _bind["default"])(base, this.props.className);
    }
  }, {
    key: "getMainStyles",
    value: function getMainStyles() {
      //default style
      var base = {}; //width

      if (this.props.width) {
        base.width = this.props.width;
      } //height


      if (this.props.height) {
        base.height = this.props.height;
      }

      if (this.props.absolute) {
        var _this$props$y, _this$props$x;

        base.top = (_this$props$y = this.props.y) !== null && _this$props$y !== void 0 ? _this$props$y : '';
        base.left = (_this$props$x = this.props.x) !== null && _this$props$x !== void 0 ? _this$props$x : '';
      }

      return _Common["default"].extend(base, this.props.style);
    }
  }, {
    key: "getInputClasses",
    value: function getInputClasses() {
      var base = 'form-select'; //readonly

      if (this.props.readOnly) {
        base = 'form-control-plaintext';
      } //size


      var size;

      switch (this.props.size) {
        case 'lg':
          size = 'form-control-lg';
          break;

        case 'sm':
          size = 'form-control-sm';
          break;

        default:
          size = '';
      }

      return (0, _bind["default"])(base, size);
    }
    /*********************
     * Event
     *********************/

  }, {
    key: "renderLabel",

    /*********************
     * render method
     *********************/
    value: function renderLabel() {
      if (this.props.label === '') {
        return null;
      }

      return _react["default"].createElement("label", {
        htmlFor: this.domId,
        className: "form-label"
      }, this.props.label);
    }
  }, {
    key: "renderSummary",
    value: function renderSummary() {
      if (!this.props.summary) {
        return null;
      }

      return _react["default"].createElement("small", {
        className: "form-text text-muted text-truncate"
      }, this.props.summary);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react["default"].createElement("div", {
        className: this.getClasses(),
        style: this.getMainStyles()
      }, this.renderLabel(), _react["default"].createElement("select", _extends({}, this.props, {
        size: undefined,
        onChange: this.selectHandler,
        value: this.state.value,
        className: this.getInputClasses(),
        id: this.domId
      }), this.state.data.map(function (item, idx) {
        var list;

        switch (_typeof(item)) {
          case 'string':
            list = {
              text: item,
              value: item
            };
            break;

          case 'object':
            list = {
              text: item.text,
              value: item.value
            };
            break;

          default:
            list = {
              text: '',
              value: ''
            };
        }

        return _react["default"].createElement("option", {
          key: idx,
          value: list.value,
          selected: _this2.state.value === list.value
        }, list.text);
      })), this.renderSummary());
    }
  }]);

  return Select;
}(_react["default"].Component);

exports.Select = Select;

_defineProperty(Select, "defaultProps", {
  data: [],
  label: ''
});

var _default = Select;
exports["default"] = _default;
//# sourceMappingURL=Select.js.map
