/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Switch = void 0;

var _react = _interopRequireDefault(require("react"));

var _bind = _interopRequireDefault(require("classnames/bind"));

require("./css/Switch.less");

var _Common = _interopRequireDefault(require("./Common"));

var _common = require("./components/common");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Switch =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Switch, _React$Component);

  function Switch(props) {
    var _this$props$theme, _this$props$checked, _this$props$checked2;

    var _this;

    _classCallCheck(this, Switch);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Switch).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "checked", void 0);

    _defineProperty(_assertThisInitialized(_this), "bg_color", void 0);

    _defineProperty(_assertThisInitialized(_this), "text_color", void 0);

    _defineProperty(_assertThisInitialized(_this), "move_class", void 0);

    _defineProperty(_assertThisInitialized(_this), "circle", void 0);

    _defineProperty(_assertThisInitialized(_this), "bg", void 0);

    _defineProperty(_assertThisInitialized(_this), "clickHandler", function () {
      if (_this.props.disabled) {
        return;
      }

      _this.setState({
        checked: !_this.state.checked
      }, function () {
        if (typeof _this.props.onChange === 'function') {
          _this.props.onChange(_this.state.checked);
        }
      }); // this.checked = !this.checked;
      // this.changeStatus(this.checked);

    });

    var themeStr = typeof _this.props.theme === 'string' ? _this.props.theme : _common.Theme[(_this$props$theme = _this.props.theme) !== null && _this$props$theme !== void 0 ? _this$props$theme : 0];
    _this.checked = (_this$props$checked = _this.props.checked) !== null && _this$props$checked !== void 0 ? _this$props$checked : false;
    _this.bg_color = "bg-".concat(themeStr);
    _this.text_color = "text-".concat(themeStr);
    _this.move_class = "ck-switch-circle-right";

    if (_this.props.size) {
      _this.move_class += "-".concat(_this.props.size);
    }

    _this.state = {
      checked: (_this$props$checked2 = _this.props.checked) !== null && _this$props$checked2 !== void 0 ? _this$props$checked2 : false
    };
    return _this;
  }

  _createClass(Switch, [{
    key: "componentDidMount",
    value: function componentDidMount() {}
  }, {
    key: "UNSAFE_componentWillReceiveProps",
    value: function UNSAFE_componentWillReceiveProps(nextProps) {
      if (this.state.checked !== nextProps.checked) {
        var _nextProps$checked;

        this.setState({
          checked: (_nextProps$checked = nextProps.checked) !== null && _nextProps$checked !== void 0 ? _nextProps$checked : false
        });
      }
    }
  }, {
    key: "getChecked",
    value: function getChecked() {
      return this.checked;
    }
  }, {
    key: "setChecked",
    value: function setChecked(check) {
      this.setState({
        checked: check
      }); // this.changeStatus(check);
    }
  }, {
    key: "getClasses",
    value: function getClasses() {
      var base = 'ck-switch';

      if (this.state.checked) {
        base = (0, _bind["default"])(base, this.bg_color, this.text_color);
      }

      if (this.props.size) {
        base = (0, _bind["default"])(base, "ck-switch-".concat(this.props.size));
      }

      if (this.props.disabled) {
        base = (0, _bind["default"])(base, 'ck-switch-disable');
      }

      if (this.props.absolute) {
        base = (0, _bind["default"])(base, 'position-absolute');
      }

      return (0, _bind["default"])(base, this.props.className);
    }
  }, {
    key: "getStyles",
    value: function getStyles() {
      //default style
      var base = {}; //width

      if (this.props.width) {
        base.width = this.props.width;
      } //height


      if (this.props.height) {
        base.height = this.props.height;
      }

      if (this.props.absolute) {
        var _this$props$y, _this$props$x;

        base.top = (_this$props$y = this.props.y) !== null && _this$props$y !== void 0 ? _this$props$y : '';
        base.left = (_this$props$x = this.props.x) !== null && _this$props$x !== void 0 ? _this$props$x : '';
      }

      return _Common["default"].extend(base, this.props.style);
    }
  }, {
    key: "getCircleClasses",
    value: function getCircleClasses() {
      var base = 'ck-switch-circle rounded-circle d-flex align-items-center justify-content-center';

      if (this.state.checked) {
        base = (0, _bind["default"])(base, this.move_class);
      }

      if (this.props.size) {
        base = (0, _bind["default"])(base, "ck-switch-circle-".concat(this.props.size));
      }

      return base;
    }
  }, {
    key: "changeStatus",
    value: function changeStatus(flag) {
      if (flag) {
        this.circle.classList.add(this.move_class);
        this.bg.classList.add(this.bg_color);
      } else {
        this.circle.classList.remove(this.move_class);
        this.bg.classList.remove(this.bg_color);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react["default"].createElement("div", {
        ref: function ref(c) {
          return _this2.bg = c;
        },
        className: this.getClasses(),
        onClick: this.clickHandler,
        style: this.getStyles()
      }, _react["default"].createElement("div", {
        className: this.getCircleClasses(),
        ref: function ref(c) {
          return _this2.circle = c;
        }
      }, _react["default"].createElement("div", {
        className: "text-center"
      }, this.props.children)));
    }
  }]);

  return Switch;
}(_react["default"].Component);

exports.Switch = Switch;

_defineProperty(Switch, "defaultProps", {
  theme: _common.Theme.primary,
  checked: false
});

var _default = Switch;
exports["default"] = _default;
//# sourceMappingURL=Switch.js.map
