/* @clake/react-bootstrap4 v2.4.9 | by Clake
 * Copyright (c) 2025 Clake,
 * 2025-05-23T17:38:08+0800
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Loader = void 0;

var _react = _interopRequireDefault(require("react"));

var _Load = _interopRequireDefault(require("../Load"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Common = require("../Common");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Loader =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Loader, _React$Component);

  function Loader(prop) {
    var _this;

    _classCallCheck(this, Loader);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Loader).call(this, prop));
    _this.state = {
      instance: undefined,
      noFound: false
    };
    return _this;
  }

  _createClass(Loader, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.loadComponent(this.props.loadPath);
    }
  }, {
    key: "UNSAFE_componentWillReceiveProps",
    value: function UNSAFE_componentWillReceiveProps(nextProp) {
      var _this2 = this;

      if (this.props.loadPath !== nextProp.loadPath) {
        this.setState({
          instance: undefined,
          noFound: false
        }, function () {
          _this2.loadComponent(nextProp.loadPath);
        });
      }
    }
  }, {
    key: "explainUrl",
    value: function explainUrl(path) {
      var _module;

      var arr = path.split('/');
      arr.shift();
      var module = arr.pop();
      module = (0, _Common.under2hump)((_module = module) !== null && _module !== void 0 ? _module : '');
      var ext_path = arr.length > 0 ? '/' : '';
      return ext_path + arr.join('/') + "/" + module;
    }
  }, {
    key: "loadComponent",
    value: function loadComponent(loadPath) {
      var _this3 = this;

      var filePath = this.explainUrl(loadPath);
      this.props["import"](filePath).then(function (component) {
        if (typeof component === "string") {
          _this3.setState({
            noFound: true
          });
        } else {
          _this3.setState({
            instance: component
          });
        }
      });
    }
  }, {
    key: "render",
    value: function render() {
      if (this.state.instance) {
        return this.renderComponent(this.state.instance);
      } else {
        return _react["default"].createElement("div", {
          className: "text-center mt-5"
        }, this.state.noFound ? '没有找到模块' : _react["default"].createElement(_Load["default"], null, "\u6A21\u5757\u52A0\u8F7D\u4E2D"));
      }
    }
  }, {
    key: "renderComponent",
    value: function renderComponent(instance) {
      var Instance = instance;
      var props = Object.assign({}, this.props, {
        "import": null
      });
      return _react["default"].createElement(Instance, props);
    }
  }]);

  return Loader;
}(_react["default"].Component);

exports.Loader = Loader;

_defineProperty(Loader, "defaultProps", {
  loadPath: _propTypes["default"].string.isRequired
});

var _default = Loader;
exports["default"] = _default;
//# sourceMappingURL=LoaderComponent.js.map
