/**
 * Created by clakeboy on 2023/6/1.
 */
import React from 'react';
import './css/Alerts.less';
import { Theme } from './components/common';
interface Props extends React.HTMLProps<any> {
    theme?: Theme | string;
    autoHide: number;
    width: string;
}
interface State {
    content: any;
    show: boolean;
    autoHide: number;
    width: string;
    theme: string;
    isClose: boolean;
}
interface ShowOptions {
    content: string | JSX.Element;
    autoHide?: number;
    width?: string;
    theme?: Theme | string;
    isClose?: boolean;
}
export declare class Alerts extends React.Component<Props, State> {
    timeout: any;
    static defaultProps: Props;
    constructor(props?: any);
    shouldComponentUpdate(nextProps: Readonly<Props>, nextState: Readonly<State>): boolean;
    show(opt: ShowOptions | JSX.Element | string): void;
    loading(msg: any): void;
    hide(): void;
    getClasses(): string;
    getContentClasses(): string;
    getContentStyle(): {
        width: string;
    };
    clickHandler: () => void;
    render(): JSX.Element;
}
export default Alerts;
//# sourceMappingURL=Alerts.d.ts.map