import React from 'react';
import { IconRef } from './Icon';
import './css/CCheck.less';
import { ComponentProps, StrObject } from './components/common';
interface Props extends ComponentProps {
    inline?: boolean;
    label?: string;
    checked?: boolean;
    onChange?: (checked: boolean, e?: Event) => void;
    half?: boolean;
}
interface State {
    checked: boolean;
    half: boolean;
}
export declare class CCheckbox extends React.Component<Props, State> {
    static defaultProps: {
        label: string;
        checked: boolean;
        disabled: boolean;
        inline: boolean;
        half: boolean;
        tabIndex: string;
    };
    domId: string;
    icon: IconRef;
    constructor(props: any);
    UNSAFE_componentWillReceiveProps(nextProp: Props): void;
    shouldComponentUpdate(nextProps: Props, nextState: State): boolean;
    getClasses(): string;
    getStyles(): StrObject;
    setValue: (checked: boolean) => void;
    setChecked(checked: boolean): void;
    setHalf(flag: boolean): void;
    getChecked(): boolean;
    getCheckedIcon(t: string): "square" | "solid" | "regular" | "minus-square" | "check-square" | undefined;
    changeHandler: (e: any) => void;
    keyUpHandler: (e: any) => void;
    render(): JSX.Element;
}
export default CCheckbox;
//# sourceMappingURL=CCheckbox.d.ts.map