import React from 'react';
import Input from "./Input";
import { ComponentProps } from './components/common';
interface Props extends ComponentProps {
    data?: any;
    text?: string;
    label?: any;
    value?: any;
    onChange?: (val: string, row: any) => void;
    showRows?: number;
    dropWidth?: string;
    validate?: any;
}
interface State {
    data: any;
}
interface ValueProps {
    text: string;
    value: any;
    active?: boolean;
}
export declare class CDropdownValue extends React.Component<ValueProps, any> {
}
export declare class CDropdown extends React.Component<Props, State> {
    static Value: typeof CDropdownValue;
    static defaultProps: {
        data: string;
        text: string;
        showRows: number;
        dropWidth: string;
    };
    main: Input;
    listData: any;
    constructor(props: any);
    check(): boolean;
    render(): JSX.Element;
}
export default CDropdown;
//# sourceMappingURL=CDropdown.d.ts.map