import React from 'react';
import './css/Card.less';
import { ComponentProps, StrObject } from './components/common';
interface Props extends ComponentProps {
    header?: string | any;
    border?: string;
    custom?: boolean;
    sm?: boolean;
    scroll?: boolean;
    divider?: boolean;
    headClass?: string;
    bodyClass?: string;
}
export declare class Card extends React.PureComponent<Props, any> {
    static defaultProps: {
        border: string;
        scroll: boolean;
        sm: boolean;
        absolute: boolean;
        divider: boolean;
    };
    domId: string;
    constructor(props: any);
    componentDidMount(): void;
    getClasses(): string;
    getBodyClasses(): string;
    getStyle(): StrObject;
    renderHeader(): JSX.Element | null;
    render(): JSX.Element;
}
export default Card;
//# sourceMappingURL=Card.d.ts.map