export declare const extend: (org: any, exd: any) => any;
export declare const RandomString: (str_length: number, tab?: string) => string;
export declare const RandNum: (start: number, end: number) => number;
export declare const LoadScript: {
    _loaded: {
        [propName: string]: boolean;
    };
    load: (srcStr: string, strID: string, func?: () => void, version?: string | boolean) => void;
};
export declare const GetDomXY: (e: HTMLElement, parent?: HTMLElement | null) => {
    top: number;
    left: number;
    height: number;
    width: number;
};
export declare const GetDPI: () => number[];
/**
 * Map object
 * @param obj
 * @param func
 * @returns {Array}
 */
export declare const map: (obj: any, func: any) => any[];
export declare const strpad: (text: string, length: number, padstring: string, type?: string) => string;
export declare const ucFirst: (str: string) => string;
export declare const under2hump: (str: string) => string;
export declare const explainUrl: (path: string) => string;
export declare const Clone: (obj: any) => any;
export declare function hasScrolledParent(el: HTMLElement, direction?: string): HTMLElement | undefined;
export declare class Runtime {
    start: Date;
    constructor();
    static Start(): Runtime;
    begin(): void;
    end(print?: boolean): number;
}
export declare function Version(): {
    trident: boolean;
    presto: boolean;
    webKit: boolean;
    gecko: boolean;
    mobile: boolean;
    ios: boolean;
    android: boolean;
    iPhone: boolean;
    iPad: boolean;
    webApp: boolean;
    weixin: boolean;
    qq: boolean;
};
declare const _default: {
    extend: (org: any, exd: any) => any;
    GetDomXY: (e: HTMLElement, parent?: HTMLElement | null) => {
        top: number;
        left: number;
        height: number;
        width: number;
    };
    GetDPI: () => number[];
    LoadScript: {
        _loaded: {
            [propName: string]: boolean;
        };
        load: (srcStr: string, strID: string, func?: (() => void) | undefined, version?: string | boolean | undefined) => void;
    };
    RandomString: (str_length: number, tab?: string) => string;
    map: (obj: any, func: any) => any[];
    strpad: (text: string, length: number, padstring: string, type?: string) => string;
    ucFirst: (str: string) => string;
    under2hump: (str: string) => string;
    explainUrl: (path: string) => string;
    Clone: (obj: any) => any;
    hasScrolledParent: typeof hasScrolledParent;
    RandNum: (start: number, end: number) => number;
    Runtime: typeof Runtime;
    Version: typeof Version;
};
export default _default;
//# sourceMappingURL=Common.d.ts.map