import React from 'react';
import './css/DropPanel.less';
import './css/TriangleTarget.less';
import { ComponentProps } from './components/common';
interface Props extends ComponentProps {
    border?: boolean;
    borderTheme?: string;
    borderColor?: string;
    round?: boolean;
    shadow?: boolean;
    selector?: string;
    position?: string;
}
export declare class DropPanel extends React.Component<Props, any> {
    static defaultProps: {
        border: boolean;
        round: boolean;
        shadow: boolean;
    };
    constructor(props: any);
    targetDom?: HTMLElement;
    mainDom: HTMLDivElement;
    componentDidMount(): void;
    componentWillUnmount(): void;
    getClasses(): string;
    getStyles(): void;
    iniTarget(): void;
    destroy(): void;
    show(showDom?: HTMLElement): void;
    hide: () => void;
    fixPosition(): void;
    render(): JSX.Element;
}
export default DropPanel;
//# sourceMappingURL=DropPanel.d.ts.map