import React from 'react';
import { ComponentProps } from './components/common';
interface Props extends ComponentProps {
    parent?: any;
    selector?: string;
    showSelector?: string;
    speed?: number;
    align?: string;
    alignParent?: boolean;
}
export declare class HScroll extends React.PureComponent<Props, any> {
    static defaultProps: {
        speed: number;
        align: string;
        alignParent: boolean;
    };
    parent?: HTMLElement;
    parentDom?: HTMLElement;
    showDom?: HTMLElement;
    alignParent?: HTMLElement;
    wheelSpeed: number;
    scrollProportion: number;
    offsetLeft: number;
    isShow: boolean;
    x: number;
    y: number;
    scrollX: number;
    scrollY: number;
    domLeft: number;
    domXY: any;
    dom: HTMLDivElement;
    scrollDom: HTMLDivElement;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    initParentEvent(): void;
    initAlignParent(): void;
    setPosition: () => void;
    getClasses(): string;
    showHandler: () => false | undefined;
    hideHandler: () => void;
    scrollHandler: (e: WheelEvent) => void;
    scrollClickHandler: (e: React.MouseEvent) => void;
    beginDragHandler: (e: React.MouseEvent) => void;
    moveDragHandler: (e: MouseEvent) => void;
    endDragHandler: () => void;
    setScrollLeft(left: number): void;
    setBarLeft(left: number): void;
    render(): JSX.Element;
}
export default HScroll;
//# sourceMappingURL=HScroll.d.ts.map