import React from 'react';
import { ComponentProps } from './components/common';
interface Props extends ComponentProps {
    iconType?: string;
    icon?: string;
    spin?: boolean;
    bs?: boolean;
    onClick?: (event: React.MouseEvent) => void;
}
export interface IconRef {
    setIcon: (icon: string) => void;
}
declare const Icon: React.ForwardRefExoticComponent<Pick<Props, keyof Props> & React.RefAttributes<IconRef>>;
export default Icon;
//# sourceMappingURL=Icon.d.ts.map