import React from 'react';
import './css/Label.less';
import { ComponentProps, StrObject } from './components/common';
interface Props extends ComponentProps {
    text?: string;
    color?: string;
    backColor?: string;
    sm?: boolean;
    align?: string;
}
interface State {
    text: string;
}
export declare class Label extends React.PureComponent<Props, State> {
    constructor(props: any);
    componentDidMount(): void;
    static getDerivedStateFromProps(nextProps: Props, prevState: State): State | null;
    getClasses(): string;
    getStyles(): StrObject;
    render(): JSX.Element;
}
export default Label;
//# sourceMappingURL=Label.d.ts.map