import React from 'react';
import './css/Scroll.less';
import { ComponentProps } from './components/common';
interface Props extends ComponentProps {
    parent?: any;
    selector?: string;
    speed?: number;
    align?: string;
    onScroll?: (scrollTop: number) => void;
}
interface State {
    show: boolean;
}
export declare class Scroll extends React.PureComponent<Props, State> {
    static defaultProps: {
        speed: number;
        align: string;
    };
    wheelSpeed: number;
    scrollProportion: number;
    offsetTop: number;
    isShow: boolean;
    x: number;
    y: number;
    scrollX: number;
    scrollY: number;
    domLeft: number;
    domXY: any;
    parent?: HTMLElement;
    parentDom: HTMLElement;
    showDom?: HTMLElement;
    dom: HTMLDivElement;
    scrollDom: HTMLDivElement;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    initParentEvent(): void;
    getClasses(): string;
    showHandler: () => void;
    hideHandler: () => void;
    scrollHandler: (e: WheelEvent) => void;
    scrollClickHandler: (e: React.MouseEvent) => void;
    beginDragHandler: (e: React.MouseEvent) => void;
    moveDragHandler: (e: MouseEvent) => void;
    endDragHandler: () => void;
    setScrollTop(top: number): void;
    setBarTop(top: number): void;
    render(): JSX.Element;
}
export default Scroll;
//# sourceMappingURL=Scroll.d.ts.map