import React from 'react';
import './css/Tabs.less';
import { ComponentProps } from './components/common';
interface Props extends ComponentProps {
    pills?: boolean;
    border?: boolean;
    content?: boolean;
    onSelect?: (tab: string) => void;
    showTab?: string;
    position?: any;
    onClose?: (tab: string, idx: number) => void;
    sm?: boolean;
}
interface State {
    currentShow: string;
    disabled: boolean;
}
export declare class Tabs extends React.PureComponent<Props, State> {
    static defaultProps: {
        border: boolean;
        content: boolean;
        showTab: string;
        disabled: boolean;
    };
    domId: string;
    constructor(props: any);
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    selectHandler: (e: React.MouseEvent) => void;
    setSelect(tab_id: string): void;
    getMainClasses(): string;
    getClasses(): string;
    getStyle(): any;
    renderTabs(): JSX.Element;
    renderContents(): JSX.Element | null;
    render(): JSX.Element;
}
export default Tabs;
//# sourceMappingURL=Tabs.d.ts.map