/**
 * 动态加载组件
 */
import React from 'react';
import PropTypes from 'prop-types';
interface State {
    instance?: JSX.Element;
    noFound: boolean;
}
interface Props extends React.HTMLProps<any> {
    loadPath: string;
    import: (path: string) => Promise<any>;
}
export declare class Loader extends React.Component<Props, State> {
    static defaultProps: {
        loadPath: PropTypes.Validator<string>;
    };
    constructor(prop?: any);
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProp: Props): void;
    explainUrl(path: string): string;
    loadComponent(loadPath: string): void;
    render(): JSX.Element;
    renderComponent(instance: any): JSX.Element;
}
export default Loader;
//# sourceMappingURL=LoaderComponent.d.ts.map