interface UploadOptions {
    change?: (file: File, fileName: string) => void;
    progress?: (loaded?: number, total?: number, percent?: string) => void;
    success?: (result: any, status: number, xhr: XMLHttpRequest) => void;
    error?: (status: number, e: any) => void;
    uploadHost?: string;
    fieldName?: string;
    host?: string;
    field?: string;
    drag_target?: any;
}
export declare class Upload {
    changeEvent: ((file: File, fileName: string) => void) | null;
    progressEvent: ((loaded?: number | undefined, total?: number | undefined, percent?: string | undefined) => void) | null;
    successEvent: ((result: any, status: number, xhr: XMLHttpRequest) => void) | null;
    errorEvent: ((status: number, e: any) => void) | null;
    uploadHost: string;
    isInit: boolean;
    currentFile?: File;
    fieldName: string;
    dragSelector: any;
    static NewUpload(opts: UploadOptions): Upload;
    constructor(opts: UploadOptions);
    initFileDom(): void;
    dropHandler: (e: DragEvent) => void;
    changeHandler: () => void;
    choose(): void;
    up(post_data: {
        [propName: string]: any;
    }): void;
}
export default Upload;
//# sourceMappingURL=Upload.d.ts.map