declare namespace _default {
    const plugins: webpack.DefinePlugin[];
    namespace output {
        const path: string;
        const filename: string;
        const chunkFilename: string;
        const libraryTarget: string;
        const library: string;
    }
    namespace module {
        const rules: ({
            test: RegExp;
            use: string[];
            exclude?: undefined;
        } | {
            test: RegExp;
            use: string;
            exclude?: undefined;
        } | {
            test: RegExp;
            use: (string | {
                loader: string;
                query: {
                    presets: string[];
                };
            })[];
            exclude: RegExp;
        } | {
            test: RegExp;
            use: {
                loader: string;
                query: {
                    presets: string[];
                };
            };
            exclude: RegExp;
        })[];
    }
    namespace resolve {
        const extensions: string[];
    }
    namespace node {
        const fs: string;
    }
    const externals: {
        jquery: string;
        react: string;
        "react-dom": string;
        zepto: string;
        marked: string;
        moment: string;
        bootstrap: string;
    };
}
export default _default;
import webpack from "webpack";
//# sourceMappingURL=webpack.common.d.ts.map